Create contract

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
namestringRequired
Name of the Contract
customerIdstringRequired

customer identifier(UUID)

externalIdobjectOptional
External identification details, only used for Netsuite Sales Orders
closeDatestringOptional
Close date of the contract
shouldProcessbooleanOptionalDefaults to falseDeprecated

Deprecated: has no effect. Use shouldProcess query param on the file upload endpoint instead.

Response

Created contract
idstring
Unique identifier for the contract
fileNamestring
Name of the contract file
namestring
Display name of the contract
statusstring
Current status of the contract
customerIdstring
Identifier of the customer associated with this contract
documentClassificationslist of enums or null

Stored document classifications of the contract file. Null when no classification data is available; currently only fetching a contract by ID returns classification data.

customerNamestringOptional
Name of the customer associated with this contract
createdAtdatetimeOptional
Timestamp when the contract was created
closeDatestringOptional
Close date of the contract
lastUpdatedAtstringOptional
Timestamp when the contract was last updated
deletedAtdatetimeOptional

Timestamp when the contract was deleted. Null for live contracts; populated on the deleted-contracts endpoint.

externalIdslist of objectsOptional
External IDs and external source types of the contract
sourceenumOptional
The source of the contract
jobIdstringOptional
The workflow job ID for the contract processing

Errors

400
Bad Request Error
500
Internal Server Error